%global srcname tempora

Summary:       Objects and routines pertaining to date and time (tempora)
Name:          python-%{srcname}
Version:       5.5.0
Release:       3%{?dist}
License:       MIT
URL:           https://github.com/jaraco/tempora
Source0:       https://files.pythonhosted.org/packages/source/t/%{srcname}/%{srcname}-%{version}.tar.gz

BuildArch:     noarch
 
%description
Objects and routines pertaining to date and time (tempora).

%package -n python3-%{srcname}
Summary:        %{summary}

BuildRequires: python3-devel python3dist(build) python3dist(freezegun) python3dist(jaraco-functools)
BuildRequires: python3dist(pip) python3dist(pytz) python3dist(setuptools) python3dist(six)
BuildRequires: python3dist(setuptools-scm) python3-pytest
BuildRequires: python3dist(wheel) python3dist(pytest) python3-more-itertools

%description -n python3-%{srcname}
Objects and routines pertaining to date and time (tempora).

%prep
%autosetup -n %{srcname}-%{version}
sed -i 211,223d tempora/__init__.py

%build
LANG=C.utf-8 %{__python3} -m build --no-isolation

%install
%py3_install_wheel %{srcname}-%{version}-py3-none-any.whl

%check
LANG=C.utf-8 %{__python3} -m pytest --ignore=build

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%{_bindir}/calc-prorate
%{python3_sitelib}/%{srcname}*

%changelog
* Sat Sep 14 2024 cunshunxia <cunshunxia@tencent.com> - 5.5.0-3
- use pytest instead of tox.

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.5.0-2
- Rebuilt for loongarch release

* Sat Oct 07 2023 Wang Guodong <gordonwwang@tencent.com> - 5.5.0-1
- Upgrade to version 5.5.0

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.1.0-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.1.0-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.1.0-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 5.1.0-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Dec 29 2022 Shuo Wang <abushwang@tencent.com> - 5.1.0-1
- initial build
